function imgs=loadavi(ifnbase,deint)
if nargin<2
  deint=1;
end

deint = ~~deint;

try
  fprintf(1,'Reading movie file %s\n',ifnbase);
  mov=aviread(ifnbase);
catch
  errordlg(sprintf('Could not load AVI file "%s"',ifnbase),'Wormfinder','modal');
  imgs=[];
  return
end

N=length(mov);
if N==0
  imgs=[];
  return
end

for n=1:N
  im=mean(double(mov(n)),3);
  a=min(im(:));
  im(im<=a+1)=nan;
  
  idx=find(isnan(im));
  for k0=idx'
    kl=k0-Y;
    kr=k0+Y;
    ku=k0-1;
    kd=k0+1;
    id=[kl kr ku kd];
    id=id(id>0 & id<=X*Y);
    im(k0)=meannan(im(id));
  end
  
  if n==1
    imgs=zeros(Y,X,(1+deint)*N);
  end
  if deint
    imgs(1:2:Y-1,:,2*n-1) = im(1:2:Y-1,:);
    imgs(Y,:,2*n-1) = im(Y-1,:);
    imgs(2:2:Y-2,:,2*n-1) = (imgs(1:2:Y-3,:,2*n-1) + imgs(3:2:Y-1,:,2*n-1))/2;
    
    imgs(2:2:Y,:,2*n) = im(2:2:Y,:);
    imgs(1,:,2*n) = im(2,:);
    imgs(3:2:Y-1,:,2*n) = (imgs(2:2:Y-2,:,2*n) + imgs(4:2:Y,:,2*n))/2;
  else
    imgs(:,:,n) = im;
  end
end

    